Can't install BiasFX 2 on 10.11.6 El Capitan



  • I was able to install FX1 and Bias Pedal fine but FX2 is giving me a disk mounting error and I can't install it. Tried the official release and the beta release. As well as the VST and Standalone installers.

    Seems like this is a compatibility issue even though the specs say 10.11 is supported. My music production computer is old and doesn't support upgrading the OS past 10.11.

    Can anybody offer advice on this?

    0_1609084881286_Screen Shot 2020-12-27 at 10.57.55 AM.png